﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPORT_TARGET') 
 CREATE TABLE T_DMW_IMPORT_TARGET (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGETFORMID VARCHAR(50) DEFAULT ' ' NOT NULL,
FIMPORTCODE VARCHAR(15) DEFAULT ' ' NOT NULL,
FENTITYMETA VARCHAR(80) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FORDER SMALLINT DEFAULT 0 NOT NULL,
FCLOUD VARCHAR(20) DEFAULT ' ' NOT NULL,
FCHECKGROUP VARCHAR(5) DEFAULT ' ' NOT NULL,
FMULREPLACEFIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FIMPORTWAY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPORT_TARGET_L') 
 CREATE TABLE T_DMW_IMPORT_TARGET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASK') 
 CREATE TABLE T_DMW_MITASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FIMPSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMEMODTIME DATETIME,
FSERVICEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODELINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODELINFO_TAG NCLOB,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASK_L') 
 CREATE TABLE T_DMW_MITASK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASK_TARGETMETA') 
 CREATE TABLE T_DMW_MITASK_TARGETMETA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASKDETAIL') 
 CREATE TABLE T_DMW_MITASKDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTDPARTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FTEXTFIELD VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASKENTRY') 
 CREATE TABLE T_DMW_MITASKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELPROPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FIMPORTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTITYID BIGINT DEFAULT 0 NOT NULL,
FSOURCESHEET VARCHAR(255) DEFAULT ' ' NOT NULL,
FREPLACEKEYFIELD VARCHAR(500) DEFAULT ' ' NOT NULL,
FCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFAILCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXECSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FLOGID BIGINT DEFAULT 0 NOT NULL,
FREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MITASKENTRY_OATT') 
 CREATE TABLE T_DMW_MITASKENTRY_OATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPSCHEME') 
 CREATE TABLE T_DMW_IMPSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSHARED VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEORG BIGINT DEFAULT 0 NOT NULL,
FMODELINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODELINFO_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPSCHEME_L') 
 CREATE TABLE T_DMW_IMPSCHEME_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_SCHEMEDETAIL') 
 CREATE TABLE T_DMW_SCHEMEDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCESHEET VARCHAR(100) DEFAULT ' ' NOT NULL,
FRELPROPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FIMPORTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPLACEKEYWORD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCOLUMNMAPPING VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPENDENCY VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPLACEKEYFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_SCHEMEFIELDMAPPING') 
 CREATE TABLE T_DMW_SCHEMEFIELDMAPPING (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTDPARTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FTEXTFIELD VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_TASK_REPORT') 
 CREATE TABLE T_DMW_TASK_REPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FIMPSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FIMPDATETIME DATETIME,
FENDTIME DATETIME,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUCCESSCNT INT DEFAULT 0 NOT NULL,
FTOTALFAILCNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_TASK_REPORTENTRY') 
 CREATE TABLE T_DMW_TASK_REPORTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLENTITYNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXECSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FFCOUNT INT DEFAULT 0 NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FIMPLOGID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_MULTARMETA')
CREATE TABLE T_DMW_MULTARMETA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);





